Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
connect_arg Struct Reference

## Data Fields
int | fd
struct sockaddr * | sockaddr
socklen_t | len

## Detailed Description

Definition at line 350 of file init.c.

## Field Documentation

int connect_arg::fd

Definition at line 351 of file init.c.

Referenced by connect_blocking(), and rsock_connect().

socklen_t connect_arg::len

Definition at line 353 of file init.c.

Referenced by connect_blocking(), and rsock_connect().

struct sockaddr* connect_arg::sockaddr

Definition at line 352 of file init.c.

Referenced by connect_blocking(), and rsock_connect().

The documentation for this struct was generated from the following file:

- ext/socket/init.c